# stp_papersize_t Struct Reference
[papersize]

The papersize data type. More...

`#include <paper.h>`

## Data Fields

char * | name
| Short unique name (not translated).
char * | text
| Long descriptive name (translated).
char * | comment
| Comment.
unsigned | width
| Paper width.
unsigned | height
| Paper height.
unsigned | top
| Top margin.
unsigned | left
| Left margin.
unsigned | bottom
| Bottom margin.
unsigned | right
| Right margin.
stp_papersize_unit_t | paper_unit
| Units of measurement.

## Detailed Description

The papersize data type.

## Field Documentation

char* stp_papersize_t::name

Short unique name (not translated).

char* stp_papersize_t::text

Long descriptive name (translated).

char* stp_papersize_t::comment

Comment.

unsigned stp_papersize_t::width

Paper width.

unsigned stp_papersize_t::height

Paper height.

unsigned stp_papersize_t::top

Top margin.

unsigned stp_papersize_t::left

Left margin.

unsigned stp_papersize_t::bottom

Bottom margin.

unsigned stp_papersize_t::right

Right margin.

stp_papersize_unit_t stp_papersize_t::paper_unit

Units of measurement.

The documentation for this struct was generated from the following file:

- include/gutenprint/paper.h